# Unsupported Products Activation

:::info

- On this page, only those product activation methods are mentioned that are **not supported by [MAS](intro.md) script**.
- If you are unsure, run [MAS](intro.md) script activation options first.
- You can connect with us [here](contactus.md) if you need help.

:::

## MS Office For Mac

-   Check [here](office_for_mac.md).

------------------------------------------------------------------------

## Windows Vista

-   Download Windows Vista - [Link](windows_vista_links.md)
-   **Activation**
	-	MAS doesn't support Windows Vista.
	-	Business and Enterprise Editions can be activated with KMS-VL-ALL by qewlpal [Official thread](https://forums.mydigitallife.net/threads/kms-vl-all-online-offline-kms-activator-for-microsoft-products.63471/) | [Mirror](https://app.box.com/s/q0nyib6bfylosvbbm5x8ztg87vy0kl8a) (Use 7.2RC2 version from the mirror link)
	-	To activate other Windows Vista editions in,  
		-	Non-UEFI/GPT systems - Use Windows Loader [Official thread](https://forums.mydigitallife.net/forums/windows-loader.39/) | [Mirror](https://app.box.com/s/bnchc6hten44adunlcpz9ya9j0uucfs2)  
		-	UEFI-GPT systems - [EzWindSLIC](https://github.com/Dir3ctr1x/EzWindSLIC)

**Note:** loader/slic activators sometimes may cause the system boot issue.

------------------------------------------------------------------------

## Windows XP Pro VL

-   Download Windows XP Pro VL - [Link](windows_xp_links.md)
-	32-bit (x86) Windows XP Pro VL SP3 ISO Activation key - `XCYBK-2B3KV-G8T8F-WXJM7-WCTYT`
-	64-bit (x64) Windows XP Pro VL SP2 ISO Activation key - `VCFQD-V9FX9-46WVH-K3CD4-4J3JM`

------------------------------------------------------------------------

## Office 2010 VL on Windows XP / Vista

-   Download Office 2010 VL - [Link](office_msi_links#office-2010-pro-plus)
-	Activate with KMS-VL-ALL by qewlpal [Official thread](https://forums.mydigitallife.net/threads/kms-vl-all-online-offline-kms-activator-for-microsoft-products.63471/) | [Mirror](https://app.box.com/s/q0nyib6bfylosvbbm5x8ztg87vy0kl8a) (Use 7.2RC2 version from the mirror link)

**Note:** Online KMS option in MAS supports Office 2010 on Windows 7 and later versions.

------------------------------------------------------------------------

## Office 2007 Enterprise

-   Download Office 2007 Enterprise - [Link](office_msi_links.md#office-2007-enterprise)
-	Activation key - `BQDQB-KRRY9-43DBR-4P9J4-DH7D8`

------------------------------------------------------------------------

## Remote Desktop Services / Client Access Licenses (RDS CALs)

**Installation**  
https://learn.microsoft.com/windows-server/remote/remote-desktop-services/rds-activate-license-server

**Activation**  
There is no validation during the activation of RDS licenses.

-  Open "Remote Desktop Licensing Manager"
-  Right-click the server and click "Activate Server"
-  Select the connection method of choice and click next (default is fine)
-  Fill the first company information with garbage and click next
-  Leave the next page blank and click next
-  The wizard should complete and say "The license server has been successfully activated"
-  Keep "Start Install Licenses Wizard" checked and click next until it asks you to select a "License program"
-  Change the License Program to "Service Provider License Agreement" in the dropdown and click next
-  Set the agreement number to `1234567` and click next
-  Fill out the next page with your chosen values and click next
-  The license wizard should report "The requested licenses have been successfully installed"

------------------------------------------------------------------------

## HEVC Video Extensions

-	It's a [paid Microsoft extension](https://apps.microsoft.com/detail/9nmzlz57r3t7) to play High Efficiency Video Coding (HEVC) videos in any video app on your Windows 10/11 device.
-	Microsoft provides digitally signed installers to M365 Admin Center subscribers, you can download them below.

Download link: https://app.box.com/s/rozwl3zsx6o90xw2568by61fhp3z3icw  
Alternatively, you can download AppxBundle installer from https://store.rg-adguard.net/ search `9nmzlz57r3t7` in ProductId.

------------------------------------------------------------------------

## Visual Studio

-	Download - https://visualstudio.microsoft.com/downloads/
-	Activation keys:

| Editions                        | Activation Key                |
|---------------------------------|-------------------------------|
| Visual Studio 2022 Professional | TD244-P4NB7-YQ6XK-Y8MMM-YWV2J |
| Visual Studio 2022 Enterprise   | VHF9H-NXBBB-638P6-6JHCY-88JWH |
| Visual Studio 2019 Professional | NYWVH-HT4XC-R2WYW-9Y3CM-X4V3Y |
| Visual Studio 2019 Enterprise   | BF8Y8-GN2QH-T84XB-QVY3B-RC4DF |

------------------------------------------------------------------------

## SQL Server

-	Download - https://www.microsoft.com/evalcenter/evaluate-sql-server-2022
-	Activation keys:

| Editions                        | Activation Key                |
|---------------------------------|-------------------------------|
| SQL Server 2022 Enterprise      | J4V48-P8MM4-9N3J9-HD97X-DYMRM |
| SQL Server 2022 Enterprise Core | 2Q48Q-PB48J-DRCVN-GB844-X2H4Q |
| SQL Server 2022 Standard        | FG86G-CHH2T-CB7NJ-XT7D2-V8V4X |
| SQL Server 2022 Web             | 2R97W-F4XNT-T6MYV-3TKB7-6X3JM |
| SQL Server 2022 Developer       | 22222-00000-00000-00000-00000 |
| SQL Server 2019 Enterprise      | HMWJ3-KY3J2-NMVD7-KG4JR-X2G8G |
| SQL Server 2019 Standard        | PMBDC-FXVM3-T777P-N4FY8-PKFF4 |

------------------------------------------------------------------------

## Microsoft Configuration Manager

Also known as ConfigMgr, Microsoft Endpoint Configuration Manager (MECM).  
Formerly known as Systems Management Server (SMS), System Center Configuration Manager (SCCM). [More info](https://craigtwall.com/how-sccm-became-memcm-or-just-configmgr/) on name changes.  

**Microsoft Configuration Manager (Current Branch)**

Download - https://www.microsoft.com/evalcenter/evaluate-microsoft-endpoint-configuration-manager  
Activation Key - `BXH69-M62YX-QQD6R-3GPWX-8WMFY`

------------------------------------------------------------------------

## System Center

- Download  
  - System Center 2025 - https://www.microsoft.com/en-us/evalcenter/evaluate-system-center-2025    
  - System Center 2022 - https://www.microsoft.com/en-us/evalcenter/evaluate-system-center-2022  
  - System Center 2019 - https://www.microsoft.com/en-us/evalcenter/evaluate-system-center-2019  

- Activation Key - `BXH69-M62YX-QQD6R-3GPWX-8WMFY`

------------------------------------------------------------------------

:::tip

-   If you need help with some other Microsoft products, reach out to us [here](contactus.md).

:::
